Subject: Re: [PATCH v2] bootwrapper: support u-boot multi component images

From: Peter Korsgaard <[email-masked]>
Date: Fri, 19 Sep 2008 13:31:12 +0200

>>>>> "Gerhard" == Gerhard Pircher <[email-masked]> writes:

Hi,

 >> Support uImage.<platform>, which are U-Boot multi component images
 >> containing a kernel, dtb and possibly an initrd.
 Gerhard> Just out of interest: Do you intend to replace the code for building
 Gerhard> cuImage.<platform> (zImage target) with this new build target?

No, they are for different use cases. cuImages are interesting when
you cannot upgrade uboot to add device tree support and you want to
use a new kernel - uImage.% is interesting when you want to use device
trees but you want the simplicity of having a single file (And you
acknowledge the fact that the device tree as it is today is pretty much
kernel version dependent so it makes most sense to keep them in sync).

-- 
Bye, Peter Korsgaard